SmileParserBootstrapper (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.smile

## Class SmileParserBootstrapper

- java.lang.Object
- - org.codehaus.jackson.smile.SmileParserBootstrapper

-     public class SmileParserBootstrapper
      extends Object

  Simple bootstrapper version used with Smile format parser.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `_inputProcessed` Current number of input units (bytes or chars) that were processed in previous blocks, before contents of current input buffer.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmileParserBootstrapper(IOContext ctxt, byte[] inputBuffer, int inputStart, int inputLen)`
    `SmileParserBootstrapper(IOContext ctxt, InputStream in)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SmileParser` | `constructParser(int generalParserFeatures, int smileFeatures, ObjectCodec codec, BytesToNameCanonicalizer rootByteSymbols)`
    `protected boolean` | `ensureLoaded(int minimum)`
    `static MatchStrength` | `hasSmileFormat(InputAccessor acc)` Helper

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _inputProcessed

          protected int _inputProcessed

      Current number of input units (bytes or chars) that were processed in previous blocks, before contents of current input buffer.

      Note: includes possible BOMs, if those were part of the input.

  - ### Constructor Detail

    - #### SmileParserBootstrapper

          public SmileParserBootstrapper(IOContext ctxt,
                                 InputStream in)

    - #### SmileParserBootstrapper

          public SmileParserBootstrapper(IOContext ctxt,
                                 byte[] inputBuffer,
                                 int inputStart,
                                 int inputLen)

  - ### Method Detail

    - #### constructParser

          public SmileParser constructParser(int generalParserFeatures,
                                    int smileFeatures,
                                    ObjectCodec codec,
                                    BytesToNameCanonicalizer rootByteSymbols)
                                      throws IOException,
                                             JsonParseException

      Throws:
        `IOException`
        `JsonParseException`

    - #### hasSmileFormat

          public static MatchStrength hasSmileFormat(InputAccessor acc)
                                              throws IOException

      Helper
      Throws:
        `IOException`
      Since:
        1.8

    - #### ensureLoaded

          protected boolean ensureLoaded(int minimum)
                                  throws IOException

      Throws:
        `IOException`